import { SalePrice } from "@/api/interface/index";
import { CommonDynamicSelect } from "@/api/modules/common";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

export const getPriceList = () => {
  return http.post<SalePrice.ResPriceList>(PORT1 + `/GetPriceList`, {});
};

export const getDeptList = (params: any) => {
  let queryParams = {};
  let newParams = JSON.parse(JSON.stringify(params));
  newParams.dsname = "web_deptlist";
  newParams.queryparams = queryParams;
  newParams.pageNum && (newParams.pageindex = newParams.pageNum);
  newParams.pageSize && (newParams.pagesize = newParams.pageSize);
  return CommonDynamicSelect(newParams, "web_deptlist");
};
